# -*- coding: utf-8 -*-
# Copyright © 2007 Lateef Alabi-Oki
#
# This file is part of striim.
#
# striim is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# striim is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with striim; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
# USA

from os import environ
from dbus import SessionBus, Interface, glib
name = "striim"
dbus_service_name = "net.sourceforge.striim"
dbus_object_path = "/net/sourceforge/striim"
session_bus = SessionBus()
dbus_proxy_obj = session_bus.get_object('org.freedesktop.DBus', '/org/freedesktop/DBus')
dbus_iface = Interface(dbus_proxy_obj, 'org.freedesktop.DBus')
home_folder = environ["HOME"]
desktop_folder = home_folder + "/Desktop"
metadata_folder = home_folder + "/.gnome2/striim"
home_plugin_folder = metadata_folder + "/plugins"
striim_prefix = "/usr"
striim_executable_path = striim_prefix + "/bin"
striim_data_path = "/usr/share"
striim_sysconfdir = "/usr/etc"
striim_data_folder = striim_data_path + "/striim"
core_plugin_folder = striim_data_folder + "/plugins"
glade_file = striim_data_folder + "/Striim.glade"
python_path = "/usr/lib/python2.5/site-packages"
version = "0.0.4"
author = ["Lateef Alabi-Oki <mystilleef@gmail.com>"]
documenters = ["Lateef Alabi-Oki <mystilleef@gmail.com>"]
artists = ["Martin Samuel <martin.sam@gmail.com>"]
website = "http://striim.sf.net/"
copyrights = "Copyright © 2007 Lateef Alabi-Oki"
translators = "Daniel Nylander <po@danielnylander.se>"
